<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <link rel="stylesheet" href="stylesheets/screen.css" type="text/css" media="screen" />
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <title>
      Pictrails
  </title>
  <script src="javascripts/rounded_corners_lite.inc.js" type="text/javascript"></script>
  <script type="text/javascript">
    window.onload = function() {
      settings = {
          tl: { radius: 10 },
          tr: { radius: 10 },
          bl: { radius: 10 },
          br: { radius: 10 },
          antiAlias: true,
          autoPad: true,
          validTags: ["div"]
      }
      var versionBox = new curvyCorners(settings, document.getElementById("version"));
      versionBox.applyCornersToAll();
    }
  </script>
</head>
<body>
<div id="main">

    <h1>Pictrails</h1>
    <div id="version" class="clickable" onclick='document.location = "http://rubyforge.org/projects/pictrails"; return false'>
      <p>Get Version</p>
      <a href="http://rubyforge.org/projects/pictrails" class="numbers">0.2.3</a>
    </div>
    <p>A Web Photo Gallery, written with Rails 2.0. Pictrails can manage several photo galleries.</p>


	<h2>Features</h2>


	<ul>
	<li>Create several Galleries</li>
		<li>Add several pictures in a Gallery</li>
		<li>Create a gallery with define a directory in same server of pictrails</li>
		<li>Admin interface with login to add/edit/delete Galleries and Pictures</li>
		<li>Define the thumbnails and pictures size in settings interface</li>
		<li>Delete the cache page in settings interface</li>
		<li>Define the number of pictures by pagination Gallery</li>
		<li>Define the number of gallery by pagination of Gallery&#8217;s list</li>
	</ul>


	<h2>Requirements</h2>


	<p>Currently you need all of those things to get Pictrails to run:</p>


	<ul>
	<li>Ruby On Rails 2.0.x or greater</li>
		<li>Ruby of 1.8.6 (Rails 2 is not yet ruby 1.9 compatible)</li>
		<li>A database supported by Rails ActiveRecord (MySQL, <span class="caps">DB2</span>, SQLite3, ...)</li>
		<li>Ruby drivers for your database (obviously out of the box with Rails)</li>
		<li>A gem of an image-handling <span class="caps">API</span> like :
	<ul>
	<li>ImageScience</li>
		<li>RMagick</li>
		<li>Mini-magick</li>
	</ul></li>
	</ul>


	<h2>Installing</h2>


	<p>With the tar.gz or any other archive:</p>


	<ul>
	<li>Extract sources to a folder</li>
		<li>Create a database.yml file in the config directory. You can copy the database.yml.example</li>
		<li>Create your databases: <kbd>rake db:create:all</kbd></li>
		<li>Migrate your database: <kbd>rake db:migrate</kbd></li>
		<li>Start the server in production mode : <kbd>ruby script/server -e production</kbd></li>
	</ul>


	<h2>Information about this project</h2>


	<p>Pictrails is actually consider like an Beta version, and is under development.</p>


	<p>All contributions are welcome.</p>


	<p>I suck in design, I know it and I am sorry but I will really be happy if anyone could
help me.</p>


	<p>If you want to contribute, all work is made under a git repository. You can clone the 
source with the following command :</p>


<kbd>git clone git://github.com/shingara/pictrails.git</kbd>

	<p>After a clone you need update the submodule :</p>


<kbd>git submodule init</kbd>
<kbd>git submodule update</kbd>

	<p>A <a href="http://dev.shingara.fr/projects/show/3">redmine development platform</a> is
used. Feel free to post your feature requests and defects report.</p>


	<h2>License</h2>


	<p>This code is free to use under the terms of the <span class="caps">MIT</span> license (provided with sources).</p>
    <p class="coda">
      <a href="mailto:cyril.mougel@gmail.com">Cyril Mougel</a>, 19th March 2008<br/>
      Theme extended from <a href="http://rb2js.rubyforge.org/">Paul Battley</a>
    </p>
</div>

<script type="text/javascript">
  var gaJsHost = (("https:" == document.location.protocol) ? "https://ssl." : "http://www.");
  document.write(unescape("%3Cscript src='" + gaJsHost + "google-analytics.com/ga.js' type='text/javascript'%3E%3C/script%3E"));
</script>
<script type="text/javascript">
  var pageTracker = _gat._getTracker("UA-3902345-1");
  pageTracker._initData();
  pageTracker._trackPageview();
</script>

</body>
</html>
